package com.ruoyi.ss.hardwareVersion.mapper;


import com.ruoyi.ss.hardwareVersion.domain.HardwareVersion;

import java.util.List;

/**
 * 硬件版本Mapper接口
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
public interface HardwareVersionMapper
{
    /**
     * 查询硬件版本
     *
     * @param id 硬件版本主键
     * @return 硬件版本
     */
    public HardwareVersion selectEHardwareVersionById(Long id);

    /**
     * 查询硬件版本列表
     *
     * @param etHardwareVersion 硬件版本
     * @return 硬件版本集合
     */
    public List<HardwareVersion> selectEHardwareVersionList(HardwareVersion etHardwareVersion);

    /**
     * 新增硬件版本
     *
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    public int insertEHardwareVersion(HardwareVersion etHardwareVersion);

    /**
     * 修改硬件版本
     *
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    public int updateEHardwareVersion(HardwareVersion etHardwareVersion);

    /**
     * 删除硬件版本
     *
     * @param id 硬件版本主键
     * @return 结果
     */
    public int deleteEHardwareVersionById(Long id);

    /**
     * 批量删除硬件版本
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEHardwareVersionByIds(Long[] ids);
}
